<template>
  <div>
    <h1 class="mb-3">Great! Let’s get started on your personalized prescription treatment for {{ selectedTreatment }}</h1>
    <p class="mb-8">First, let’s check if we cover your state.</p>
    <select-input
      :choices="choices"
      placeholder="State"
      v-model="selected"
    />
    <div
      v-if="selected"
      class="hint"
    >
      <img :src="hintImg" alt="">
      <div>
        {{ hintText }}
      </div>
    </div>
    <template v-if="!chosenAvailableState && selected">
      <text-input
        label="Email Address"
        class="mb-3"
        v-model="email"
      />
      <common-btn
        text="Subscribe"
        class="mb-5"
        :disabled="!email"
      />
      <p class="text-xs text-grey-medium">By selecting “Subscribe” you agree to our <a class="underline" href="#">Privacy Policy</a>.</p>
    </template>
    <common-btn
      v-if="!selected || chosenAvailableState"
      class="mt-3 mb-5"
      text="Next"
      :disabled="!chosenAvailableState"
      @click="$emit('nextStage')"
    />
    <p
      class="text-xs text-grey-medium"
      v-if="selected && chosenAvailableState"
    >
      By selecting “Next”, you agree to our <a href="#" class="underline">Terms</a>, our <a class="underline" href="#">Privacy Policy</a>, and consent to
      <a class="underline" href="#">Telehealth</a>.
    </p>
  </div>
</template>

<script>

import {answersMixin, mainDataMixin} from "@/utils/mixins";

const AVAILABLE_STATES = [
  'New York',
]

const UNAVAILABLE_STATES = [
  'Hawaii'
]

export default {
  mixins: [answersMixin, mainDataMixin],
  name: "AccountCreation1",
  watch: {
    selected(newVal) {
      this.setAnswer(this.answersKeys.ACCOUNT_CREATION, newVal, 'stage_1')
    }
  },
  data() {
    return {
      selected: null,
      email: null,
      choices: [
        ...AVAILABLE_STATES,
        ...UNAVAILABLE_STATES
      ]
    }
  },
  computed: {
    chosenAvailableState() {
      return AVAILABLE_STATES.includes(this.selected)
    },
    hintText() {
      return this.chosenAvailableState ? 'Awesome, we have doctors in your state! Let’s celebrate. Your consultation and shipping are on us.' : 'Sorry we’re still growing and don’t cover your state yet, but let’s stay in touch! Give us your email and you’ll be the first to know when we cover your state.'
    },
    hintImg() {
      return this.chosenAvailableState ? require('@/assets/img/icons/check.png') : require('@/assets/img/icons/check-1.png')
    }
  }
}
</script>

<style scoped>
.hint {
  @apply grid gap-x-4 my-5;
  grid-template-columns: 24px 1fr;
}
</style>
